from appPublic.dictObject import DictObject
from appPublic.oauth_client import OAuthClient

desc = {
	"path":"/asr/generate",
	"method":"POST",
	"headers":[
		{
			"name":"Content-Type",
			"value":"application/json"
		}
	],
	"data":[{
		"name":"audio",
		"value":"${b64audio}"
	},{
		"name":"model",
		"value":"whisper"
	}
	],
	"resp":[
		{
			"name":"content",
			"value":"content"
		}
	]
}
opts = {
	"data":{},
	"asr":desc
}

async def asr(audio):
	oc  = OAuthClient(DictObject(**opts))
	r = await oc("http://open-computing.cn", "asr", {"b64audio":audio})
	print(f'{r=}')

